Bug 196310 - [NEW PORT] x11-themes/cursor-ardoise-theme: Ardoise X cursor theme
Summary: [NEW PORT] x11-themes/cursor-ardoise-theme: Ardoise X cursor theme
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kurt Jaeger
URL:
Keywords: feature, patch
Depends on:
Blocks:
 
Reported: 2014-12-27 22:00 UTC by lightside
Modified: 2016-06-14 19:23 UTC (History)
1 user (show)

See Also:


Attachments
The port in shar format (2.52 KB, text/plain)
2014-12-27 22:00 UTC, lightside
no flags Details
The port in shar format (2.46 KB, text/plain)
2015-01-04 05:58 UTC, lightside
no flags Details
portlint -AC && make check-plist && make clean (1.28 KB, text/plain)
2015-01-04 06:00 UTC, lightside
no flags Details
The port in shar format (2.46 KB, text/plain)
2015-01-06 04:57 UTC, lightside
no flags Details
The port in shar format (2.80 KB, text/plain)
2015-01-26 13:52 UTC, lightside
no flags Details
The poudriere testport log (FreeBSD 10 amd64) (9.72 KB, text/plain)
2015-01-26 13:53 UTC, lightside
no flags Details
The port in shar format (2.80 KB, text/plain)
2015-01-26 14:04 UTC, lightside
no flags Details
The port in shar format (2.80 KB, text/plain)
2015-02-06 08:31 UTC, lightside
no flags Details
The port in shar format (2.22 KB, text/plain)
2015-02-20 21:11 UTC, lightside
no flags Details
The poudriere testport log (FreeBSD 10 amd64) (9.52 KB, text/plain)
2015-02-20 21:12 UTC, lightside
no flags Details
The port in shar format (2.25 KB, text/plain)
2015-02-20 21:18 UTC, lightside
no flags Details
The port in shar format (2.26 KB, text/plain)
2015-02-21 16:04 UTC, lightside
no flags Details
The poudriere testport log (FreeBSD 10 amd64) (9.52 KB, text/plain)
2015-02-21 16:04 UTC, lightside
no flags Details
The port in shar format (2.24 KB, text/plain)
2015-03-20 04:48 UTC, lightside
no flags Details
The port in shar format (2.41 KB, text/plain)
2015-03-21 17:45 UTC, lightside
no flags Details
The port in shar format (2.29 KB, text/plain)
2015-03-26 15:14 UTC, lightside
no flags Details
The port in shar format (2.25 KB, text/plain)
2015-03-26 23:11 UTC, lightside
no flags Details
The port in shar format (2.28 KB, text/plain)
2015-04-11 10:25 UTC, lightside
no flags Details
The port in shar format (2.28 KB, text/plain)
2015-04-11 14:50 UTC, lightside
no flags Details
The port in shar format (2.22 KB, text/plain)
2015-06-27 22:41 UTC, lightside
no flags Details
The port in shar format (3.41 KB, text/plain)
2016-06-12 07:06 UTC, lightside
no flags Details
The poudriere testport log (FreeBSD 10.2 amd64) (10.84 KB, text/plain)
2016-06-12 07:06 UTC, lightside
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description lightside 2014-12-27 22:00:44 UTC
Created attachment 151011 [details]
The port in shar format

Simple, flat and dark Ardoise X cursor theme by obnosim.
It uses symbols instead of changing the shape of the cursor.

Available resolutions are 24, 32, 48 and 72 px.
Translucent and opaque variants.

WWW: http://kde-look.org/content/show.php/Ardoise?content=165308
Comment 1 lightside 2015-01-04 05:58:31 UTC
Created attachment 151314 [details]
The port in shar format

- Removed FETCH_DEPENDS, FETCH_CMD and DISABLE_SIZE variables
- Adapted to regular fetch method by using "&dummy=/" inside of MASTER_SITES address
- Replaced DIST_SUBDIR with versioned DISTFILES
- Changed kde-look.org to opendesktop.org for WWW
Comment 2 lightside 2015-01-04 06:00:24 UTC
Created attachment 151315 [details]
portlint -AC && make check-plist && make clean
Comment 3 lightside 2015-01-06 04:57:56 UTC
Created attachment 151384 [details]
The port in shar format

- Reverted opendesktop.org to kde-look.org for WWW, because it known to a wider audience (currently) according to www.alexa.com reports
Comment 4 lightside 2015-01-26 13:52:28 UTC
Created attachment 152175 [details]
The port in shar format

Updated to 2.9 version, which adds second variant of translucent cursors.
Added NO_ARCH=yes, because there are no architecture specific files.
Comment 5 lightside 2015-01-26 13:53:14 UTC
Created attachment 152176 [details]
The poudriere testport log (FreeBSD 10 amd64)
Comment 6 lightside 2015-01-26 14:04:31 UTC
Created attachment 152177 [details]
The port in shar format

Removed blank space.
Comment 7 lightside 2015-02-06 08:31:06 UTC
Created attachment 152603 [details]
The port in shar format
Comment 8 lightside 2015-02-20 21:11:12 UTC
Created attachment 153241 [details]
The port in shar format

The author made available distfiles on GitHub:
https://github.com/obnosim/ardoise

I renamed the port to "cursor-ardoise-theme" directory and adapted to USE_GITHUB.
- Updated to 3.0 version
- Changed pkg-descr file
Comment 9 lightside 2015-02-20 21:12:03 UTC
Created attachment 153242 [details]
The poudriere testport log (FreeBSD 10 amd64)
Comment 10 lightside 2015-02-20 21:18:25 UTC
Created attachment 153244 [details]
The port in shar format
Comment 11 lightside 2015-02-20 21:20:25 UTC
(In reply to comment #10)

- Returned pkg-descr contents, which is ok.
Comment 12 lightside 2015-02-21 16:04:20 UTC
Created attachment 153276 [details]
The port in shar format
Comment 13 lightside 2015-02-21 16:04:48 UTC
Created attachment 153277 [details]
The poudriere testport log (FreeBSD 10 amd64)
Comment 14 lightside 2015-03-20 04:48:10 UTC
Created attachment 154548 [details]
The port in shar format

The shar archive updated after ports r381618 changes.
Comment 15 lightside 2015-03-21 17:45:28 UTC
Created attachment 154636 [details]
The port in shar format

Let's use GitHub API instead of current USE_GITHUB:
https://developer.github.com/v3/repos/contents/#get-archive-link
Comment 16 lightside 2015-03-26 15:14:54 UTC
Created attachment 154832 [details]
The port in shar format

I think, there is a (general) misunderstanding about GitHub API (front-end) usage. But also there is a possible reviewer's abuse of conversion from (correct) MASTER_SITES to USE_GITHUB. Therefore, return to use USE_GITHUB with correct DISTNAME (where the current "_GH0" part is responsibility of other people; therefore, if it changed outside of the port, then recreate the distinfo file with "make makesum" command).

The poudriere testport result is the same as in attachment 153277 [details], but with different WRKSRC.

% portlint -C
looks fine.

% make check-plist
====> Checking for pkg-plist issues (check-plist)
===> Parsing plist
===> Checking for items in STAGEDIR missing from pkg-plist
===> Checking for items in pkg-plist which are not in STAGEDIR
===> No pkg-plist issues found (check-plist)
Comment 17 lightside 2015-03-26 23:11:20 UTC
Created attachment 154850 [details]
The port in shar format
Comment 18 lightside 2015-04-11 10:25:04 UTC
Created attachment 155462 [details]
The port in shar format

The author moved cursor archives to "packaged" branch:
https://github.com/obnosim/ardoise/tree/packaged
Comment 19 lightside 2015-04-11 14:50:12 UTC
Created attachment 155477 [details]
The port in shar format

Reverted to previous (ac642a8) Git commit, because new one (6c393fe) contains damaged Ardoise_no_shadow_100.tar.gz file.
Comment 20 lightside 2015-06-27 22:41:17 UTC
Created attachment 158108 [details]
The port in shar format

Looks like, there is no public interest in such a port. Therefore, I cleared MAINTAINER section of the port, in case of possible (private) usage by other people.
Comment 21 lightside 2015-06-27 22:41:44 UTC
This PR is closed.
Comment 22 lightside 2016-06-12 07:06:07 UTC
Created attachment 171323 [details]
The port in shar format

Returned MAINTAINER section.
Updated to 3.5 version.
Comment 23 lightside 2016-06-12 07:06:40 UTC
Created attachment 171324 [details]
The poudriere testport log (FreeBSD 10.2 amd64)
Comment 24 lightside 2016-06-12 07:07:29 UTC
Reopened PR.
Comment 25 Kurt Jaeger freebsd_committer 2016-06-14 19:22:59 UTC
Committed, thanks!
Comment 26 commit-hook freebsd_committer 2016-06-14 19:23:12 UTC
A commit references this bug:

Author: pi
Date: Tue Jun 14 19:22:47 UTC 2016
New revision: 416905
URL: https://svnweb.freebsd.org/changeset/ports/416905

Log:
  New port: x11-themes/cursor-ardoise-theme

  Simple, flat and dark Ardoise X cursor theme by obnosim.
  It uses symbols instead of changing the shape of the cursor.

  Available resolutions are 24, 32, 48 and 72 px.
  Translucent and opaque variants.

  WWW: http://kde-look.org/content/show.php/Ardoise?content=165308

  PR:		196310
  Submitted by:	lightside@gmx.com

Changes:
  head/x11-themes/Makefile
  head/x11-themes/cursor-ardoise-theme/
  head/x11-themes/cursor-ardoise-theme/Makefile
  head/x11-themes/cursor-ardoise-theme/distinfo
  head/x11-themes/cursor-ardoise-theme/pkg-descr